Zum Hauptinhalt springen
POST
/
fish
/
audios
Fish Audios
curl --request POST \
  --url https://api.acedata.cloud/fish/audios \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "speech",
  "prompt": "a white siamese cat",
  "voice_id": "d7900c21663f485ab63ebdb7e5905036",
  "model": "fish-tts",
  "callback_url": "<string>"
}
'
{
  "data": [
    {
      "prompt": "let this man wear on this T-shirt",
      "image_url": "https://platform.cdn.acedata.cloud/nanobanana/8e9e0253-26f4-45b9-b3f8-ac1aed1c284b.png"
    }
  ],
  "success": true,
  "task_id": "93f11baf-347b-4bb4-9520-8653cb46d6a3",
  "trace_id": "a9063166-26ed-4451-85b5-54e896817c69"
}

Autorisierungen

Authorization
string
header
erforderlich

Header

accept
enum<string>

Specifies the format of the response from the server. If not specified, the default format is application/json.

Verfügbare Optionen:
application/json

Body

application/json
action
enum<string>
erforderlich

The act of cloning voices.

Verfügbare Optionen:
speech
Beispiel:

"speech"

prompt
string
erforderlich

The input text information for the task of cloning sounds.

Beispiel:

"a white siamese cat"

voice_id
enum<string>
erforderlich

When cloning a sound, the voice_id is the basis.

Verfügbare Optionen:
d7900c21663f485ab63ebdb7e5905036
Beispiel:

"d7900c21663f485ab63ebdb7e5905036"

model
enum<string>

The model adopted for the task of cloning sounds.

Verfügbare Optionen:
fish-tts
callback_url
string

The callback URL which will be called when the images is generated, the URL should be accessible from the public internet. If specified, the response will be returned immediately and the result will be sent to the callback URL when it's ready.

Antwort

OK, the request is successful.

The response is of type object.